Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableAffine Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableAffine:
[legend]
Collaboration diagram for Magick::DrawableAffine:
[legend]

## Public Member Functions
| DrawableAffine (double sx_, double sy_, double rx_, double ry_, double tx_, double ty_)
| DrawableAffine (void)
| ~DrawableAffine (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | sx (const double sx_)
double | sx (void) const
void | sy (const double sy_)
double | sy (void) const
void | rx (const double rx_)
double | rx (void) const
void | ry (const double ry_)
double | ry (void) const
void | tx (const double tx_)
double | tx (void) const
void | ty (const double ty_)
double | ty (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 226 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableAffine() [1/2]

Magick::DrawableAffine::DrawableAffine | ( | double | sx_,
|  | double | sy_,
|  | double | rx_,
|  | double | ry_,
|  | double | tx_,
|  | double | ty_
| ) |  |

Definition at line 180 of file Drawable.cpp.

## ◆ DrawableAffine() [2/2]

Magick::DrawableAffine::DrawableAffine | ( | void |  | ) |

Definition at line 191 of file Drawable.cpp.

## ◆ ~DrawableAffine()

Magick::DrawableAffine::~DrawableAffine | ( | void |  | ) |

Definition at line 195 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableAffine::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 202 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableAffine::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 198 of file Drawable.cpp.

## ◆ rx() [1/2]

void Magick::DrawableAffine::rx | ( | const double | rx_ | ) |
| inline

Definition at line 262 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

## ◆ rx() [2/2]

double Magick::DrawableAffine::rx | ( | void |  | ) | const
| inline

Definition at line 266 of file Drawable.h.

## ◆ ry() [1/2]

void Magick::DrawableAffine::ry | ( | const double | ry_ | ) |
| inline

Definition at line 271 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

## ◆ ry() [2/2]

double Magick::DrawableAffine::ry | ( | void |  | ) | const
| inline

Definition at line 275 of file Drawable.h.

## ◆ sx() [1/2]

void Magick::DrawableAffine::sx | ( | const double | sx_ | ) |
| inline

Definition at line 244 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

## ◆ sx() [2/2]

double Magick::DrawableAffine::sx | ( | void |  | ) | const
| inline

Definition at line 248 of file Drawable.h.

## ◆ sy() [1/2]

void Magick::DrawableAffine::sy | ( | const double | sy_ | ) |
| inline

Definition at line 253 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

## ◆ sy() [2/2]

double Magick::DrawableAffine::sy | ( | void |  | ) | const
| inline

Definition at line 257 of file Drawable.h.

## ◆ tx() [1/2]

void Magick::DrawableAffine::tx | ( | const double | tx_ | ) |
| inline

Definition at line 280 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

## ◆ tx() [2/2]

double Magick::DrawableAffine::tx | ( | void |  | ) | const
| inline

Definition at line 284 of file Drawable.h.

## ◆ ty() [1/2]

void Magick::DrawableAffine::ty | ( | const double | ty_ | ) |
| inline

Definition at line 289 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

## ◆ ty() [2/2]

double Magick::DrawableAffine::ty | ( | void |  | ) | const
| inline

Definition at line 293 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp